package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : MQ管理
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_MESSAGE_QUEUE")
@Api(value = "MQ管理", description = "MQ管理")
public class BsMessageQueue extends BaseBean {

    @Column(name = "MESSAGE_QUEUE_NAME")
    @ApiParam(value = "消息队列名称")
    private String messageQueueName;

    @Column(name = "MESSAGE_QUEUE_TYPE")
    @ApiParam(value = "消息队列类型")
    private int messageQueueType;

    @Column(name = "MESSAGE_QUEUE_HOST")
    @ApiParam(value = "消息队列主机")
    private String messageQueueHost;

    @Column(name = "MESSAGE_QUEUE_PORT")
    @ApiParam(value = "消息队列端口")
    private int messageQueuePort;

    @Column(name = "CERTIFICATE_ID")
    @ApiParam(value = "证书id")
    private long certificateId;

}

