package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 适配类型
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_TYPE")
@Api(value = "适配类型", description = "适配类型")
public class BsSuitType extends BaseBean {

    @Column(name = "SUIT_TYPE_NAME")
    @ApiParam(value = "适配类型")
    private String suitTypeName;

    @Column(name = "SUIT_CASE_NUM")
    @ApiParam(value = "适配器数量")
    private int suitCaseNum;

}

