package cn.estsh.i3plus.pojo.softswitch.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.tool.HqlPack;
import cn.estsh.i3plus.pojo.softswitch.bean.BsSuitCaseParam;
import cn.estsh.i3plus.pojo.softswitch.bean.TestDataBase;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-02-28 16:05
 * @Modify:
 **/
public class SoftSwitchHqlPack {

    /**
     * In 参数封装
     * @param columnName
     * @return
     */
    public static String packHqlIds(String columnName,String[] params){
        StringBuffer result =  new StringBuffer();

        // 参数数组 [1,2,3] -> "1,2,3"
        HqlPack.getInPack(String.join(",",params),columnName,result);
        return result.toString();
    }

    /**
     * 目录查询封装
     * @param testDataBase
     * @return
     */
    public static String packHqlTestDataBase(TestDataBase testDataBase){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
//        HqlPack.getStringLikerPack(testDataBase.getName(),"name",result);

        return result.toString();
    }

    /**
     * 适配套件参数条件封装
     * @param bsSuitCaseParam 查询条件
     * @return
     */
    public static DdlPackBean packHqlBsSuitCaseParam(BsSuitCaseParam bsSuitCaseParam){
        DdlPackBean ddlPackBean = new DdlPackBean();

        DdlPreparedPack.getStringLikerPack(bsSuitCaseParam.getParamName(),"paramName",ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitCaseParam.getParamTypeId(), "paramTypeId", ddlPackBean);
        DdlPreparedPack.getNumEqualPack(bsSuitCaseParam.getSuitCaseId(), "suitCaseId", ddlPackBean);
        DdlPreparedPack.getStringEqualPack(bsSuitCaseParam.getSuitCaseCodeRdd(),"suitCaseCodeRdd",ddlPackBean);

        return ddlPackBean;
    }

}
