package cn.estsh.i3plus.pojo.mes.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.mes.bean.MesMethod;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Repository
public interface MesMethodRepository extends BaseRepository<MesMethod, Long> {

    List<MesMethod> findByMethodCodeAndIsValidAndIsDeleted(String methodCode, Integer isValid, Integer isDeleted);

    List<MesMethod> findByOrganizeCodeAndIsDeleted(String organizeCode, int value);
}
